%define anolis_release 1
%global srcname dasbus

Name:           python-%{srcname}
Version:        1.7
Release:        %{anolis_release}%{?dist}
Summary:        DBus library in Python 3

License:        LGPLv2+
URL:            https://pypi.python.org/pypi/dasbus
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
Dasbus is a DBus library written in Python 3, based on
GLib and inspired by pydbus. It is designed to be easy
to use and extend.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{defined suse_version}
Requires:       python3-gobject
%else
Requires:       python3-gobject-base
%endif
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{_description}

%package doc
Summary:        Documentation files for %{name}
Requires:       python3-%{srcname} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}.dist-info/

%files doc
%doc README.md

%changelog
* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7-1
- update to version 1.7

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6-2
- add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.6-1
- init from upstream
